summaryrefslogtreecommitdiffstats
path: root/steamclient
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2021-12-28 10:31:23 +0000
committer Eric Hameleers <alien@slackware.com>2021-12-28 10:31:23 +0000
commit88fd3509e22aba1f3aab51bef33863608549fb0e (patch)
tree3b5c2eaa31707e269c62a805a3fe62a34da4e705 /steamclient
parentb05f38d06644c190b237d0662e5b51dc6f1ed59d (diff)
downloadasb-88fd3509e22aba1f3aab51bef33863608549fb0e.tar.gz
asb-88fd3509e22aba1f3aab51bef33863608549fb0e.tar.xz
steamclient: update to 1.0.0.74
Diffstat (limited to 'steamclient')
-rwxr-xr-xsteamclient/build/steamclient.SlackBuild75
1 files changed, 43 insertions, 32 deletions
diff --git a/steamclient/build/steamclient.SlackBuild b/steamclient/build/steamclient.SlackBuild
index 9d480be3..d3f210a2 100755
--- a/steamclient/build/steamclient.SlackBuild
+++ b/steamclient/build/steamclient.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2012, 2013, 2014, 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2012, 2013, 2014, 2015, 2016, 2020, 2021 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -79,7 +79,11 @@
# - use LD_PRELOAD to favor the system ALSA library - this fixes
# a steam-runtime conflict. Thanks to Ryan McQuen.
# 1.0.0.54-1: 17/dec/2016 by Eric Hameleers <alien@slackware.com>
-# - update.
+# - Update.
+# 1.0.0.66-1: 30/sep/2020 by Eric Hameleers <alien@slackware.com>
+# - Update.
+# 1.0.0.74-1: 27/dec/2021 by Eric Hameleers <alien@slackware.com>
+# - Update.
#
# Run 'sh steamclient.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -88,7 +92,7 @@
# -----------------------------------------------------------------------------
PRGNAM=steamclient
-VERSION=${VERSION:-1.0.0.54} # Use "LATEST" to just dowload the latest version.
+VERSION=${VERSION:-1.0.0.74} # Use "LATEST" to just dowload the latest version.
ARCH=i386
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
@@ -177,15 +181,18 @@ if [ "$VERSION" = "LATEST" ]; then
echo " '$VERSION'."
fi
-mv steam steam-${VERSION} 2>/dev/null
+mv steam-launcher steam-${VERSION} 2>/dev/null || true
cd steam-${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a+X-s .
-# Move the binaries into place:
-install -d -m 755 $PKG/usr/bin/
-install -p -m 755 steam $PKG/usr/bin/
-install -p -m 755 steamdeps $PKG/usr/bin/
+# Move the binaries into place (mostly copied from the Makefile:
+install -d -m0755 $PKG/usr/bin/
+install -d -m0755 $PKG/usr/lib/steam/steam_launcher/
+install -p -m0755 bin_steam.sh $PKG/usr/lib/steam/
+install -p -m0644 steam_launcher/__init__.py $PKG/usr/lib/steam/steam_launcher/
+install -p -m0644 steam_launcher/launcherutils.py $PKG/usr/lib/steam/steam_launcher/
+ln -sf /usr/lib/steam/bin_steam.sh $PKG/usr/bin/steam
# We don't use apt or dpkg or whatever:
cat << EOT > $PKG/usr/bin/steamdeps
#!/bin/sh
@@ -194,32 +201,36 @@ echo "Slackware 64-bit multilib: Install/upgrade the packages in the 'deps/<slac
echo ""
exit 0
EOT
+chmod 755 $PKG/usr/bin/steamdeps
+ln -sf /usr/bin/steamdeps $PKG/usr/lib/steam/bin_steamdeps.py
# Install the desktop file plus icons:
-install -d -m 755 $PKG/usr/share/applications
-install -p -m 644 steam.desktop $PKG/usr/share/applications/
+install -d -m0755 $PKG/usr/share/applications
+install -p -m0644 steam.desktop $PKG/usr/share/applications/
for size in 16 24 32 48 256 ; do
- install -d -m 755 $PKG/usr/share/icons/hicolor/${size}x${size}/apps/
- install -p -m 644 icons/${size}/steam.png \
+ install -d -m0755 $PKG/usr/share/icons/hicolor/${size}x${size}/apps/
+ install -p -m0644 icons/${size}/steam.png \
$PKG/usr/share/icons/hicolor/${size}x${size}/apps/
done
-install -d -m 755 $PKG/usr/share/pixmaps/
-install -p -m 644 icons/48/steam.png $PKG/usr/share/pixmaps/
-install -p -m 644 icons/48/steam.png $PKG/usr/share/pixmaps/steam_tray.png
-install -p -m 644 icons/48/steam_tray_mono.png $PKG/usr/share/pixmaps/steam_tray_mono.png
+install -d -m0755 $PKG/usr/share/pixmaps/
+install -p -m0644 icons/48/steam.png $PKG/usr/share/pixmaps/
+install -p -m0644 icons/48/steam.png $PKG/usr/share/pixmaps/steam_tray.png
+install -p -m0644 icons/48/steam_tray_mono.png $PKG/usr/share/pixmaps/steam_tray_mono.png
# Install the steam bootstrap:
-install -d -m 755 $PKG/usr/lib/steam/
-install -p -m 644 bootstraplinux_*_32.tar.xz $PKG/usr/lib/steam/
+install -d -m0755 $PKG/usr/lib/steam/
+install -p -m0644 bootstraplinux_*_32.tar.xz $PKG/usr/lib/steam/
-# Install udev rule for the Steam Controller:
-install -d -m 755 $PKG/lib/udev/rules.d
-install -p -m 644 lib/udev/rules.d/99-steam-controller-perms.rules \
- $PKG/lib/udev/rules.d/
+# Install udev rule for the Steam Controller and VR headset:
+install -D -m0644 subprojects/steam-devices/60-steam-input.rules \
+ $PKG/usr/lib/udev/rules.d/60-steam-input.rules
+install -D -m0644 subprojects/steam-devices/60-steam-vr.rules \
+ $PKG/usr/lib/udev/rules.d/60-steam-vr.rules
# Add some documentation:
+install -D -t $PKG/usr/share/metainfo/ -m0644 com.valvesoftware.Steam.metainfo.xml
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ia COPYING README steam_install_agreement.txt \
+cp -ia COPYING README steam_subscriber_agreement.txt \
$PKG/usr/doc/$PRGNAM-$VERSION || true
cp -a $SRCDIR/README.Slackware $PKG/usr/doc/$PRGNAM-$VERSION || true
cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -227,27 +238,27 @@ chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Take care of the man page:
-install -d -m 755 $PKG/usr/man/man6/
-install -p -m 644 steam.6 $PKG/usr/man/man6/
+install -d -m0755 $PKG/usr/man/man6/
+install -p -m0644 steam.6 $PKG/usr/man/man6/
gzip $PKG/usr/man/man6/steam.6
cd ${PKG}
# Apply changes to the steam script which we need on Slackware:
sed -i -e '/env bash/ a\
# --- Start Slackware mod ---\
-export LD_LIBRARY_PATH=/usr/lib/seamonkey\
-export LD_PRELOAD='"'"'/usr/$LIB/libasound.so.2'"'"'\
-# Audio output goes to first "hw" device of ALSA\
-export SDL_AUDIODRIVER=alsa\
+# If PulseAudio is disabled, audio output goes to first "hw" device of ALSA.\
+# Try uncommenting below lines if you dont use PulseAudio and have no sound:\
+#export LD_PRELOAD='"'"'/usr/$LIB/libasound.so.2'"'"'\
+#export SDL_AUDIODRIVER=alsa\
#export AUDIODEV=hw\
# On window close, minimize to the system tray area:\
export STEAM_FRAME_FORCE_CLOSE=1\
# Add any custom variable exports here\
[ -f ${HOME}/.steam4slackware ] \&\& . ${HOME}/.steam4slackware\
-# --- End Slackware mod ---' $PKG/usr/bin/steam
+# --- End Slackware mod ---' $PKG/usr/lib/steam/bin_steam.sh
# We need to add a symlink to /sbin/pidof in order to make it be found:
-sed -i -e '/bin\/bash/{N;s#$#\nexport PATH="/usr/lib/steam/local:$PATH"#}' $PKG/usr/bin/steam
-sed -i -e 's/xterm/${TERM}/' $PKG/usr/bin/steam
+sed -i -e '/bin\/bash/{N;s#$#\nexport PATH="/usr/lib/steam/local:$PATH"#}' $PKG/usr/lib/steam/bin_steam.sh
+sed -i -e 's/xterm/${TERM}/' $PKG/usr/lib/steam/bin_steam.sh
# Our 'pidof' workaround:
mkdir $PKG/usr/lib/steam/local